<?php

namespace Fhp\Segment\KAA;

/**
 * Interface für Kontoauszug aus Archiv Rückmeldung
 */
interface HIKAA
{
    public function getPdfData(): string;

    public function getStatementNumber(): ?int;

    public function getStatementYear(): ?int;

    public function getIban(): ?string;

    public function getFilename(): ?string;

    public function getCreationDate(): ?\DateTime;

    public function getFormat(): ?int;

    public function needsReceipt(): bool;

    public function getReceiptCode(): ?string;
}
